GDB (xrefs)

Classes | Typedefs | Enumerations | Functions | Variables
/tmp/gdb-8.1/gdb/remote-notif.h File Reference
`#include "queue.h"`

Go to the source code of this file.

## Classes
struct | notif_event
struct | notif_client
struct | remote_notif_state

## Typedefs
typedef struct notif_client * | notif_client_p

## Enumerations
enum | REMOTE_NOTIF_ID { REMOTE_NOTIF_STOP = 0, REMOTE_NOTIF_LAST }

## Functions
| DECLARE_QUEUE_P (notif_client_p)
void | remote_notif_ack (struct notif_client *nc, char *buf)
struct notif_event * | remote_notif_parse (struct notif_client *nc, char *buf)
void | notif_event_xfree (struct notif_event *event)
void | handle_notification (struct remote_notif_state *notif_state, char *buf)
void | remote_notif_process (struct remote_notif_state *state, struct notif_client *except)
struct remote_notif_state * | remote_notif_state_allocate (void)
void | remote_notif_state_xfree (struct remote_notif_state *state)

## Variables
struct notif_client | notif_client_stop
int | notif_debug

## Typedef Documentation

## ◆ notif_client_p

typedef struct notif_client * notif_client_p

## Enumeration Type Documentation

## ◆ REMOTE_NOTIF_ID

enum REMOTE_NOTIF_ID

Enumerator
REMOTE_NOTIF_STOP |
REMOTE_NOTIF_LAST |

Definition at line 36 of file remote-notif.h.

## Function Documentation

## ◆ DECLARE_QUEUE_P()

DECLARE_QUEUE_P | ( | notif_client_p |  | ) |

## ◆ handle_notification()

void handle_notification | ( | struct remote_notif_state * | notif_state,
|  | char * | buf
| ) |  |

Definition at line 127 of file remote-notif.c.

References fprintf_unfiltered(), gdb_stdlog, remote_notif_state::get_pending_events_token, notif_client::id, mark_async_event_handler(), notif_client::name, name, notif_debug, notifs, remote_notif_state::pending_event, QUEUE_enque, remote_notif_parse(), startswith(), and target_is_non_stop_p().

Referenced by getpkt_or_notif_sane_1(), and putpkt_binary().

## ◆ notif_event_xfree()

void notif_event_xfree | ( | struct notif_event * | event | ) |

Definition at line 220 of file remote-notif.c.

References notif_event::dtr, and xfree().

Referenced by do_notif_event_xfree(), QUEUE(), and remote_notif_state_xfree().

## ◆ remote_notif_ack()

void remote_notif_ack | ( | struct notif_client * | nc,
|  | char * | buf
| ) |  |

Definition at line 61 of file remote-notif.c.

References notif_client::ack, notif_client::ack_command, notif_client::alloc_event, discard_cleanups(), do_notif_event_xfree(), fprintf_unfiltered(), gdb_stdlog, make_cleanup(), notif_debug, and notif_client::parse.

Referenced by remote_notif_get_pending_events().

## ◆ remote_notif_parse()

struct notif_event* remote_notif_parse | ( | struct notif_client * | nc,
|  | char * | buf
| ) |  |

Definition at line 80 of file remote-notif.c.

References notif_client::alloc_event, discard_cleanups(), do_notif_event_xfree(), fprintf_unfiltered(), gdb_stdlog, make_cleanup(), notif_client::name, notif_debug, and notif_client::parse.

Referenced by extended_remote_attach(), handle_notification(), remote_start_remote(), and remote_wait_as().

## ◆ remote_notif_process()

void remote_notif_process | ( | struct remote_notif_state * | state,
|  | struct notif_client * | except
| ) |  |

Definition at line 101 of file remote-notif.c.

References notif_client::can_get_pending_events, gdb_assert, QUEUE_deque, QUEUE_is_empty, and remote_notif_get_pending_events().

Referenced by remote_async_get_pending_events_handler(), and remote_resume().

## ◆ remote_notif_state_allocate()

struct remote_notif_state* remote_notif_state_allocate | ( | void |  | ) |

Definition at line 239 of file remote-notif.c.

References create_async_event_handler(), remote_notif_state::get_pending_events_token, QUEUE_alloc, remote_async_get_pending_events_handler(), and XCNEW.

Referenced by remote_open_1().

## ◆ remote_notif_state_xfree()

void remote_notif_state_xfree | ( | struct remote_notif_state * | state | ) |

Definition at line 257 of file remote-notif.c.

References delete_async_event_handler(), remote_notif_state::get_pending_events_token, notif_event_xfree(), remote_notif_state::pending_event, QUEUE_free, REMOTE_NOTIF_LAST, and xfree().

Referenced by remote_close().

## Variable Documentation

## ◆ notif_client_stop

struct notif_client notif_client_stop

Definition at line 6381 of file remote.c.

Referenced by check_pending_events_prevent_wildcard_vcont(), discard_pending_stop_replies(), extended_remote_attach(), kill_new_fork_children(), remote_resume(), remote_start_remote(), remote_wait_as(), remote_wait_ns(), and remove_new_fork_children().

## ◆ notif_debug

int notif_debug

Definition at line 44 of file remote-notif.c.

Referenced by _initialize_notif(), handle_notification(), push_stop_reply(), remote_notif_ack(), remote_notif_get_pending_events(), remote_notif_parse(), and remote_notif_remove_queued_reply().